Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# anim_demo-rotate.css Example File

webkit/webkit-guide/css/anim_demo-rotate.css

     /****************************************************************************
     **
     ** Copyright (C) 2015 The Qt Company Ltd.
     ** Contact: http://www.qt.io/licensing/
     **
     ** This file is part of the Qt WebKit module of the Qt Toolkit.
     **
     ** $QT_BEGIN_LICENSE:BSD$
     ** You may use this file under the terms of the BSD license as follows:
     **
     ** "Redistribution and use in source and binary forms, with or without
     ** modification, are permitted provided that the following conditions are
     ** met:
     **   * Redistributions of source code must retain the above copyright
     **     notice, this list of conditions and the following disclaimer.
     **   * Redistributions in binary form must reproduce the above copyright
     **     notice, this list of conditions and the following disclaimer in
     **     the documentation and/or other materials provided with the
     **     distribution.
     **   * Neither the name of The Qt Company Ltd nor the names of its
     **     contributors may be used to endorse or promote products derived
     **     from this software without specific prior written permission.
     **
     **
     ** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
     ** "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     ** LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
     ** A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
     ** OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
     ** SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
     ** LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
     ** DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
     ** THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
     ** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
     ** OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."
     **
     ** $QT_END_LICENSE$
     **
     ****************************************************************************/
     body {
         background                      : #aaaaaa;
         font-weight                     : bold;
     }

     section {
         color                           : #ffffff;
         background                      : #777777;
         font-size                       : x-large;
         -webkit-transform               : translate(-150%) scale(1);
         position                        : absolute;
         text-align                      : center;
         padding                         : 1em;
         top                             : 3em;
         left                            : 3em;
         bottom                          : 3em;
         right                           : 3em;
     }

     @-webkit-keyframes demoRotate {
         0% { -webkit-transform          : translate(-150%); }
         10% { -webkit-transform         : rotate(0deg) translate(0); }
         50% { -webkit-transform         : rotate(180deg) translate(0); }
         90% { -webkit-transform         : rotate(360deg) translate(0); }
         100% { -webkit-transform        : translate(150%); }
     }

     @-webkit-keyframes demoRotateOrigin {
         0% { -webkit-transform          : rotate(0deg) translate(-150%); }
         10% { -webkit-transform         : rotate(0deg) translate(0); }
         50% { -webkit-transform         : rotate(-180deg) translate(0); }
         90% { -webkit-transform         : rotate(-360deg) translate(0); }
         100% { -webkit-transform        : rotate(-360deg) translate(150%) }
     }

     @-webkit-keyframes end {
         0% { -webkit-transform          : translate(150%); }
         30% { -webkit-transform         : translate(0); }
         70% { -webkit-transform         : translate(0); }
         100% { -webkit-transform        : translate(150%); }
     }

     .rotate {
         -webkit-animation                   : demoRotate 9s 2s;
         -webkit-transform-origin            : center;
         -webkit-animation-timing-function   : linear;
     }
     .rotateOrigin {
         -webkit-animation                   : demoRotateOrigin 9s 12s;
         -webkit-transform-origin            : top left;
         -webkit-animation-timing-function   : linear;
     }
     .end {
         -webkit-animation                   : end 3s 22s;
     }